| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::timer_t Struct Reference

Used internally to store state of active timers. More...

`#include <timer.h>`

Collaboration diagram for dpp::timer_t:
[legend]

## Public Attributes

uint64_t | frequency {0}
| Frequency between ticks.
timer | handle {0}
| Timer handle.
time_t | next_tick {0}
| Next timer tick as unix epoch.
timer_callback_t | on_stop {}
| Lambda to call on stop (optional).
timer_callback_t | on_tick {}
| Lambda to call on tick.

## Detailed Description

Used internally to store state of active timers.

## Member Data Documentation

## ◆ frequency

uint64_t dpp::timer_t::frequency {0}

Frequency between ticks.

## ◆ handle

timer dpp::timer_t::handle {0}

Timer handle.

## ◆ next_tick

time_t dpp::timer_t::next_tick {0}

Next timer tick as unix epoch.

## ◆ on_stop

timer_callback_t dpp::timer_t::on_stop {}

Lambda to call on stop (optional).

## ◆ on_tick

timer_callback_t dpp::timer_t::on_tick {}

Lambda to call on tick.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0